Subject: [Patch V3 0/9] Refine generic/PCI MSI irqodmian interfaces

From: [email-masked] (Jiang Liu)
Date: Tue, 18 Nov 2014 13:08:38 +0800

On 2014/11/18 8:59, Thomas Gleixner wrote:
> On Mon, 17 Nov 2014, Jiang Liu wrote:
>> This patch set is based on tip/irq/irqdomain and tries to refine
>> interfaces to support irqdomain for generic MSI and PCI MSI.
> 
> So to make progress on that matter I picked that up along with a few
> other patches which affect the core code (more stacked irq callbacks
> and Marcs workaround for the handler assignment issue).
> 
> I rebased the whole lot on Bjorns pci/msi branch as discussed in this
> thread: https://lkml.org/lkml/2014/11/16/292
> 
> After that I spent quite some time to reorder and fold back patches so
> we have no obvious wreckage, but at the same time preserve at least
> some of the development process for this.
> 
> Finally I added docbook comments where missing (please provide them
> next time yourself).
Sure, need improvements on docs.

> 
> Marc ran an initial smoketest on an early iteration which did not fall
> into bits and pieces right away.
> 
> The only major change is that I got rid of the ugly
> 
> #ifndef msi_alloc_info_t
> 
> trickery by moving the generic version into include/asm-generic/msi.h
> 
> So if you want to use the generic version, you need to create your
> arch/xxx/include/asm/msi.h file which includes asm-generic/msi.h.
> 
> For the ones who want to override it, create
> arch/xxx/include/asm/msi.h, include whatever it takes and provide the
> proper typedef.
Two issues are solved by adding new header files, a good technique to
improve code quality:)

> 
> I'll send that patch (7bde31a7969f) out tomorrow morning as I want to
> have Arnds blessing for that.
> 
<snip>
> I really rely on your cooperation here, as I don't want to end up with
> an unexplainable mess when the stuff hits Linus tree and he starts
> rumaging for his diving harpune ....
I have rebased x86 changes onto tip/irq/irqdomain, it works perfectly:)

Regards!
Gerry